Certificates - List

Description for Get all certificates for a subscription.

GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Web/certificates?api-version=2022-03-01
GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Web/certificates?api-version=2022-03-01&$filter={$filter}

URI Parameters

Name In Required Type Description
subscriptionId
path True
  • string

Your Azure subscription ID. This is a GUID-formatted string (e.g. 00000000-0000-0000-0000-000000000000).

api-version
query True
  • string

API Version

$filter
query
  • string

Return only information specified in the filter (using OData syntax). For example: $filter=KeyVaultId eq 'KeyVaultId'

Responses

Name Type Description
200 OK

OK

Other Status Codes

App Service error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

List Certificates for subscription

Sample Request

GET https://management.azure.com/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/providers/Microsoft.Web/certificates?api-version=2022-03-01

Sample Response

{
  "value": [
    {
      "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/testrg123/providers/Microsoft.Web/certificates/testc6282",
      "name": "testc6282",
      "type": "Microsoft.Web/certificates",
      "location": "East US",
      "properties": {
        "friendlyName": "",
        "subjectName": "ServerCert",
        "hostNames": [
          "ServerCert"
        ],
        "issuer": "CACert",
        "issueDate": "2015-11-12T23:40:25+00:00",
        "expirationDate": "2039-12-31T23:59:59+00:00",
        "thumbprint": "FE703D7411A44163B6D32B3AD9B03E175886EBFE"
      }
    },
    {
      "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/testrg123/providers/Microsoft.Web/certificates/testc4912",
      "name": "testc4912",
      "type": "Microsoft.Web/certificates",
      "location": "West US",
      "properties": {
        "friendlyName": "",
        "subjectName": "ServerCert2",
        "hostNames": [
          "ServerCert2"
        ],
        "issuer": "CACert",
        "issueDate": "2015-12-12T23:40:25+00:00",
        "expirationDate": "2040-12-31T23:59:59+00:00",
        "thumbprint": "FE703D7411A44163B6D32B3AD9B0490D5886EBFE"
      }
    }
  ]
}

Definitions

Certificate

SSL certificate for an app.

CertificateCollection

Collection of certificates.

DefaultErrorResponse

App Service error response.

Details
Error

Error model.

HostingEnvironmentProfile

Specification for an App Service Environment to use for this resource.

KeyVaultSecretStatus

Status of the Key Vault secret.

Certificate

SSL certificate for an app.

Name Type Description
id
  • string

Resource Id.

kind
  • string

Kind of resource.

location
  • string

Resource Location.

name
  • string

Resource Name.

properties.canonicalName
  • string

CNAME of the certificate to be issued via free certificate

properties.cerBlob
  • string

Raw bytes of .cer file

properties.domainValidationMethod
  • string

Method of domain validation for free cert

properties.expirationDate
  • string

Certificate expiration date.

properties.friendlyName
  • string

Friendly name of the certificate.

properties.hostNames
  • string[]

Host names the certificate applies to.

properties.hostingEnvironmentProfile

Specification for the App Service Environment to use for the certificate.

properties.issueDate
  • string

Certificate issue Date.

properties.issuer
  • string

Certificate issuer.

properties.keyVaultId
  • string

Key Vault Csm resource Id.

properties.keyVaultSecretName
  • string

Key Vault secret name.

properties.keyVaultSecretStatus

Status of the Key Vault secret.

properties.password
  • string

Certificate password.

properties.pfxBlob
  • string

Pfx blob.

properties.publicKeyHash
  • string

Public key hash.

properties.selfLink
  • string

Self link.

properties.serverFarmId
  • string

Resource ID of the associated App Service plan, formatted as: "/subscriptions/{subscriptionID}/resourceGroups/{groupName}/providers/Microsoft.Web/serverfarms/{appServicePlanName}".

properties.siteName
  • string

App name.

properties.subjectName
  • string

Subject name of the certificate.

properties.thumbprint
  • string

Certificate thumbprint.

properties.valid
  • boolean

Is the certificate valid?.

tags
  • object

Resource tags.

type
  • string

Resource type.

CertificateCollection

Collection of certificates.

Name Type Description
nextLink
  • string

Link to next page of resources.

value

Collection of resources.

DefaultErrorResponse

App Service error response.

Name Type Description
error

Error model.

Details

Name Type Description
code
  • string

Standardized string to programmatically identify the error.

message
  • string

Detailed error description and debugging information.

target
  • string

Detailed error description and debugging information.

Error

Error model.

Name Type Description
code
  • string

Standardized string to programmatically identify the error.

details

Detailed errors.

innererror
  • string

More information to debug error.

message
  • string

Detailed error description and debugging information.

target
  • string

Detailed error description and debugging information.

HostingEnvironmentProfile

Specification for an App Service Environment to use for this resource.

Name Type Description
id
  • string

Resource ID of the App Service Environment.

name
  • string

Name of the App Service Environment.

type
  • string

Resource type of the App Service Environment.

KeyVaultSecretStatus

Status of the Key Vault secret.

Name Type Description
AzureServiceUnauthorizedToAccessKeyVault
  • string
CertificateOrderFailed
  • string
ExternalPrivateKey
  • string
Initialized
  • string
KeyVaultDoesNotExist
  • string
KeyVaultSecretDoesNotExist
  • string
OperationNotPermittedOnKeyVault
  • string
Succeeded
  • string
Unknown
  • string
UnknownError
  • string
WaitingOnCertificateOrder
  • string